/*
 * This file is part of BukkitHTTPD.
 * Copyright (C) 2011 "codename_B" Ben Smith <BenBenBen001@googlemail.com>
 * Copyright (C) 2011 Thomas "V10lator" Rohloff <v10lator@myway.de>
 * 
 *
 * BukkitHTTPD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * BukkitHTTPD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BukkitHTTPD.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.V10lator.BukkitHTTPD;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicBoolean;

/**
 * 
 * @author V10lator
 *
 */
public class RAM
{
  final AtomicBoolean lock = new AtomicBoolean(false);
  
  // Plugin -> HTTPD
  long saveIntervall = 5;
  final ArrayList<String> players = new ArrayList<String>();
  int maxPlayers = 0;
  final ArrayList<String> worlds = new ArrayList<String>();
  final ArrayList<String> plugins = new ArrayList<String>();
  final HashMap<String, Long> worldTimes = new HashMap<String, Long>();
  final ArrayList<String> bannedPlayers = new ArrayList<String>();
  final HashMap<UUID, String> chatPtH = new HashMap<UUID, String>();
  final HashMap<UUID, Long> chatMappings = new HashMap<UUID, Long>();
  String gameMode = null;
  final ArrayList<String> ipBans = new ArrayList<String>();
  final HashMap<String, Function> functions = new HashMap<String, Function>();
  String serverName = "My Awesome Server";
  String serverHost = null;
  String color = "000000";
  boolean hidePort = false;
  boolean minecraftBans = true;
  //Permissions:
  final ArrayList<String> banned = new ArrayList<String>();
  final HashMap<String, BukkitHTTPDSession> sessions = new HashMap<String, BukkitHTTPDSession>();
  final HashMap<String, String> passwords = new HashMap<String, String>();
  
  //HTTPD -> Plugin
  boolean reboot = false;
  boolean shutdown = false;
  final ArrayList<String> chatHtP = new ArrayList<String>();
}
